### Method

# Soup WebsocketConnection set_keepalive_pong_timeout

since: 3.6

#### Declaration [src]

    void
    soup_websocket_connection_set_keepalive_pong_timeout (
      SoupWebsocketConnection* self,
      guint pong_timeout
    )

#### Description [src]

Set the timeout in seconds for when the absence of a pong from a keepalive ping is assumed to be caused by a faulty connection.

If set to 0 then the absence of pongs from keepalive pings is ignored.

Available since: 3.6

Sets property | `Soup.WebsocketConnection:keepalive-pong-timeout`

#### Parameters

`pong_timeout`

  Type: `guint`

  The timeout in seconds.